package org.bench4q.monitor.service.linux;

import java.io.FileNotFoundException;
import java.io.IOException;

import org.bench4q.monitor.model.LogicalDiskModel;

import org.bench4q.monitor.performance.linux.LogicalDiskMonitor;

public class LogicalDiskServiceLinux {
	private LogicalDiskMonitor logicalDiskMonitor;

	public LogicalDiskServiceLinux() throws FileNotFoundException {

		logicalDiskMonitor = new LogicalDiskMonitor();
	}

	public LogicalDiskModel getLogicalDiskInfo(int idleTime)
			throws IOException, InterruptedException {
		return this.logicalDiskMonitor.getLogicalDiskInfo(idleTime);
	}
}
